package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the messagetype database table.
 * 
 */
@Entity
public class MessageType implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idmsg;

	private String contentmsg;

	//bi-directional many-to-one association to MessageSend
	@OneToMany(mappedBy="messagetype")
	private List<MessageSend> messagesends;

	public MessageType() {
	}

	public String getIdmsg() {
		return this.idmsg;
	}

	public void setIdmsg(String idmsg) {
		this.idmsg = idmsg;
	}

	public String getContentmsg() {
		return this.contentmsg;
	}

	public void setContentmsg(String contentmsg) {
		this.contentmsg = contentmsg;
	}

	public List<MessageSend> getMessagesends() {
		return this.messagesends;
	}

	public void setMessagesends(List<MessageSend> messagesends) {
		this.messagesends = messagesends;
	}

}